qualia
API ReferenceActors

Create an actor

Creates an actor for the given email and enqueues enrichment. Idempotent on email within an organization. Returns 201 with status "created" for a new actor, or 200 with status "already_exists" if an actor with this email already exists in your organization.

POST
/actors

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued via the dashboard. Format: qk_live_<random>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://qualia.so/v1/actors" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "actorId": "string",
  "status": "created"
}
{
  "actorId": "string",
  "status": "created"
}
{
  "error": {
    "code": "bad_request",
    "message": "string",
    "requestId": "string"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "string",
    "requestId": "string"
  }
}
{
  "error": {
    "code": "unprocessable_entity",
    "message": "string",
    "requestId": "string"
  }
}
{
  "error": {
    "code": "internal_server_error",
    "message": "string",
    "requestId": "string"
  }
}